CURLOPT_TLSAUTH_PASSWORD(3)

NAME
CURLOPT_TLSAUTH_PASSWORD - TLS authentication password

SYNOPSIS
#include <curl/curl.h> CURLcode curl_easy_setopt(CURL *handle, CURLOPT_TLSAUTH_PASSWORD, char *pwd);

DESCRIPTION
Pass a char * as parameter, which should point to the zero terminated password to use for the TLS authentication method specified with the CURLOPT_TLSAUTH_TYPE(3) option. Requires that the CURLOPT_TLS_USERNAME(3) option also be set.

DEFAULT
NULL

PROTOCOLS
All TLS-based protocols

EXAMPLE
TODO

AVAILABILITY
Added in 7.21.4

RETURN VALUE
Returns CURLE_OK if the option is supported, CURLE_UNKNOWN_OPTION if not, or CURLE_OUT_OF_MEMORY if there was insufficient heap space.

SEE ALSO
CURLOPT_TLSAUTH_TYPE(3), CURLOPT_TLSAUTH_USERNAME(3),